1

I'm running Raspbian Jessie Lite and having trouble getting blessed-contrib running.

npm install gives me the following errors:

pi@PAPI:~/blessed-contrib $ npm install
npm ERR! 404 Not Found
npm ERR! 404
npm ERR! 404 'types/blessed' is not in the npm registry.
npm ERR! 404 You should bug the author to publish it
npm ERR! 404 It was specified as a dependency of 'blessed-contrib'
npm ERR! 404
npm ERR! 404 Note that you can also install from a
npm ERR! 404 tarball, folder, or http url, or git url.

npm ERR! System Linux 4.9.41+
npm ERR! command "/usr/bin/nodejs" "/usr/bin/npm" "install"
npm ERR! cwd /home/pi/blessed-contrib
npm ERR! node -v v4.8.2
npm ERR! npm -v 1.4.21
npm ERR! code E404
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR!     /home/pi/blessed-contrib/npm-debug.log
npm ERR! not ok code 0

I've already looked at Getting NPM installed on Raspberry Pi (Wheezy Image) but none of the provided solutions work.

  • Could you try running sudo npm install -g npm and then repeat npm install? I suspect the issue is that your npm version is too old, but can't confirm it myself. – Aurora0001 Oct 28 '17 at 14:56
1

It looks like your version of npm is too old to support scoped packages which blessed-contrib is making use of. But it is only using it for a dev dependency. You can try doing a production install to skip it with

npm install --production

Or alternatively upgrade npm to a later version.

npm install --global npm

and run it with the absolute path like

/usr/local/bin/npm install

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.